﻿<%@  Page EnableViewState="false" Language="C#" AutoEventWireup="true" CodeBehind="Diagnostics.aspx.cs" Inherits="HttpCommander.Diagnostics" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>HTTP Commander Diagnostics</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <script type="text/javascript" src="Scripts/diagnostics.js"></script>
    <style type="text/css">
        table th
        {
            background-color: #1C1C1C;
            color: #ffffff;
            height: 20px;
            border-style: solid;
            border-width: 1px;
            padding: 3px 5px 3px 5px;
        }
        table td
        {
            border-style: solid;
            border-width: 1px;
            padding: 5px 7px 5px 7px;
        }
        table
        {
            border-style: solid;
            border-width: 1px;
            border-collapse: collapse;           
            margin-left: 15px;
            margin-right: 15px;
            border-color: #f5f5f5;
        }
    </style>
</head>
<body style="font-family: Tahoma; font-size: 13px;background-color:#ffffff;	color:#000000;" onload="javascript: checkScriptsAccess();">
<b> If you have something errors (<font color="red">red text</font>) then send this error to Element-IT support team <a href="mailto:support@element-it.com?subject=diagnostics output&body=Put whole diagnostics output here!">via email</a>
      or <a target='_blank' href='Manual/onlinesupport.html'>via instant messenger and remote access</a> to get immediate help!</b><br/>
    <form id="form1" runat="server">
    <br />
    <div>
        <table>
            <tr>
                <th colspan="2">
                    Common diagnostics and information
                </th>
            </tr>
            <tr>
                <td width="200" valign="top">
                    Access to Images\</td>
                <td>
                    <img alt="" src="Scripts/imagesdiagnostics.png" width="531" height="35" />
                    <br/>
                    <b>Note!</b> If you don't see image then set NTFS read permissions for anonymous user (IUSR or IUSR_MACHINENAME: See "Anonymous user" info below ) to HTCOMNET folder.
                </td>
            </tr>
             <tr>
                <td width="200" valign="top">
                    Access to Scripts\ for application identity</td>
                <td>
                    <asp:Label ID="LabelScriptsAccess" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td width="200" valign="top">
                    Access to Scripts\ for anonymous user</td>
                <td>
                    <span id="LabelScriptsAccessAnonymous"></span>
                </td>
            </tr>
             <tr>
                <td width="200" valign="top">
                    Access to Localization\ for application identity</td>
                <td>
                    <asp:Label ID="LabelLocalization" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td width="200">
                    Product name
                </td>
                <td width="400">
                    <asp:Label ID="lblProductName" runat="server"></asp:Label>
                </td>
            </tr>            
            <tr>
                <td>
                    Product version
                </td>
                <td>
                    <asp:Label ID="lblProductVersion" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    CLR version:
                </td>
                <td>
                    <asp:Label ID="lblCLRVersion" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td valign="top">
                    Installed frameworks:
                </td>
                <td>
                    <asp:Label ID="lblFrameworks" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    Windows version:
                </td>
                <td>
                    <asp:Label ID="lblWindowsVersion" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    IIS version:
                </td>
                <td>
                    <asp:Label ID="lblIISVersion" runat="server"></asp:Label>
                </td>
            </tr>
             <tr>
                <td>Application starts under identity:</td>
                <td>
                    <asp:Label ID="lblAppPoopIdentity" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    Application works under identity:
                </td>
                <td>
                    <asp:Label ID="lblAspNetAccount" runat="server"></asp:Label>
                </td>
            </tr>
             <tr>
                <td>Anonymous user:</td>
                <td>
                    <asp:Label ID="lblAnonymUser" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    Authentication mode:
                </td>
                <td>
                    <asp:Label ID="lblAuthMode" runat="server"></asp:Label>
                </td>
            </tr>
             <tr>
                <td>
                    Authentication type:
                </td>
                <td>
                    <asp:Label ID="lblAuthType" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>                    Authentication at IIS:
                </td>
                <td>
                    <asp:Label ID="lblAuthIISMode" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>WebDav module(for office and web links):</td>
                <td>
                    <asp:Label ID="lblWebDavModule" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>Application pool name:</td>
                <td>
                    <asp:Label ID="lblAppPoolName" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>Application pool mode:</td>
                <td>
                    <asp:Label ID="lblAppPoolMode" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>Maximum worker processes in application pool:</td>
                <td>
                    <asp:Label ID="lblAppPoolProcess" runat="server"></asp:Label>
                </td>
            </tr>
              <tr>
                <td>Mail settings:</td>
                <td>
                    <asp:Label ID="lblMailSettings" runat="server"></asp:Label>
                    <asp:TextBox ID="txtSendTestEmail" runat="server"></asp:TextBox>
                    <asp:Button ID="btnSendEmail" runat="server" onclick="btnSendEmail_Click" 
                        Text="Send test email" /><br/>
                     <asp:Label ID="lblSendTestMail" runat="server"></asp:Label>   
                </td>
            </tr>
           <tr>
                <td>Test read access to folder:</td>
                <td>
                    Type any folder path to check that it is exists and current user have anought NTFS permissions to read it: 
                     <br/>
                    <asp:TextBox Width="300" ID="txtTestNTFS" runat="server"></asp:TextBox>
                   
                    <asp:Button  ID="btnCheckNTFS" runat="server" onclick="btnTestNTFS_Click" 
                        Text="Check if exists" /><br/>
                     <asp:Label ID="lblTestNTFS" runat="server"></asp:Label>   
                </td>
            </tr>
            <!--
            <tr>
                <td>
                    Current session count:</td>
                <td>
                    <asp:Label ID="lblCurrentSessionCount" runat="server"></asp:Label>
                </td>
            </tr>
            -->
          <!--  
            <tr>
                <td>Shared folders:</td>
                <td>
                    <asp:Label ID="lblADSharedFolders" runat="server"></asp:Label>
                </td>
            </tr> -->
        </table>
    </div>
    <br />
    <div>
        <table>
            <tr>
                <th colspan="2">
                    User information and extra
                </th>
            </tr>
            <tr>
                <td width="200">
                    Current user:
                </td>
                <td width="400">
                    <asp:Label ID="lblCurrentUser" runat="server"></asp:Label>
                </td>
            </tr>
            <tr runat="server" id="GroupsFromTR">
                <td width="200">
                    Read user info from:
                </td>
                <td width="400">
                    <asp:Label ID="lblReadGroupsFrom" runat="server"></asp:Label>
                </td>
            </tr>
            <tr runat="server" id="groupsMethodTR">
                <td width="200">
                    Read groups method:
                </td>
                <td>
                    <asp:Label ID="lblReadGroupsMethod" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td width="200" valign="top">
                    User groups:
                </td>
                <td>
                    <asp:Label ID="lblUserGroups" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td width="200" valign="top">
                    User folders:</td>
                <td>
                    <asp:Label ID="lblUserFolders" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <th>
                    Written errors in Errors.xml. If you have some errors this don't means that you have problems with application!
                </th>
            </tr>
            <tr>
                <td><asp:Label ID="lblErrors" runat="server"></asp:Label></td>
            </tr>
        </table>
    </div>
    <br />
    </form>
    <b> If you have something errors (<font color="red">red text</font>) then send this error to Element-IT support team <a href="mailto:support@element-it.com?subject=diagnostics output&body=Put whole diagnostics output here!">via email</a>
     or <a target='_blank' href='Manual/onlinesupport.html'>via instant messenger and remote access</a> to get immediate help!</b>
    <script type="text/javascript"> 
    function checkScriptsAccess()
    {
        try
        {
            if(diagnosticsScriptisloaded==true)
            {
                document.getElementById('LabelScriptsAccessAnonymous').innerHTML="Scripts are available";
            }
            else
            {
                document.getElementById('LabelScriptsAccessAnonymous').innerHTML="<font color='red'><b>Note!</b> JavaScript files (Main.js and other) at Scripts\\ folder are missing or anonymous user havn't NTFS read permissions. Check read permissions for IUSR or IUSR_MACHINANAME user to HTCOMNET folder</font>";
            }
        }
        catch (e){
            document.getElementById('LabelScriptsAccessAnonymous').innerHTML="<font color='red'><b>Note!</b> JavaScript files (Main.js and other) at Scripts\\ folder are missing or anonymous user havn't NTFS read permissions. Check read permissions for IUSR or IUSR_MACHINANAME user to HTCOMNET folder</font>";
        };
    
    }
    </script>
</body>
</html>
