﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%= HttpCommander.Utils.LocalizationsManager.GetString("AdminTitle")%></title>
    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="Images/resources_1.5/css/ext-all.css" />
    <link rel="stylesheet" type="text/css" href="Images/resources_1.5/css/ext-filters.css" />
    <link rel="stylesheet" type="text/css" href="Styles.css" />
    <script language="c#" runat="server">
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!HttpCommander.Utils.IsAdministrator)
            {
                Response.Write("User '" + HttpCommander.Utils.CurrentUserName + "' is not admin therefor can't login to Admin panel. To make user admin add his name to 'administrators' parameter at web.config file (ex.: value=\"admin,jdoe,mike\"). ");
                Response.End();
                return;
            }            
            Response.Expires = -1;
            Response.CacheControl = "No-cache";
            Response.AppendHeader("X-HttpCommander-Status", "0");
        }
    </script>
</head>
<body style="font-family: Tahoma; font-size: 13px;background-color:#ffffff;	color:#000000;">
    <div id="loading-mask">
    </div>
    <div id="loading">
        <noscript><font color="#CC0000"><%= HttpCommander.Utils.LocalizationsManager.GetString("CommonNoScript")%></font><br/></noscript>
        <table id="loading-message">
            <tr>
                <td nowrap="nowrap">
                    <img width="32" height="32" alt="" src="Images/loading.gif" />
                </td>
                <td nowrap="nowrap">
                    <%= HttpCommander.Utils.LocalizationsManager.GetString("AdminApplicationLoading")%>...
                </td>
            </tr>
        </table>
    </div>
    <script type="text/javascript" src="Scripts/ext-base.js"></script>
    <script type="text/javascript" src="Scripts/ext-all.js"></script>
    <script type="text/javascript" src="Scripts/ext-filters.js"></script>
    <script type="text/javascript" src="Handlers/AdminHandler.ashx"></script>
    <script type="text/javascript" src="Handlers/Config.ashx"></script>
    <script type="text/javascript" src="Scripts/Admin.js"></script>
</body>
</html>
