﻿<%@ Application Language="C#" %>
<%@ Import Namespace="HttpCommander" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="System.Web.Configuration" %>
<%@ Import Namespace="Newtonsoft.Json.Linq" %>
<%@ Import Namespace="System.Security.Principal" %>
<%@ Import Namespace="System.IO" %>
<script RunAt="server">

    protected void Application_Start(object sender, EventArgs e)
    {
        //---------------------------------------------------------------------------------------
        // Example of users and folders setup programmatically.
        // This is helpfull if you have own database of users or you need programmatically setup access.
        // Code of SimpleAccountManager and SimpleFolderManager stored at open source App_Code\SimpleAccountFolderManager.cs file
        //---------------------------------------------------------------------------------------
     
       /* For Forms authentication version only. Start */
            /*
            // Add 2 users: 1. Name: demo, password: demo, 2.Name: admin, password: admin
            List<User> userList = new List<User>();
            userList.Add(new User("demo", "demo"));
            userList.Add(new User("admin", "admin"));

            // Add group "admins" with user "admin"
            List<HttpCommander.Group> groupList = new List<HttpCommander.Group>();
            groupList.Add(new HttpCommander.Group("admins"));
            groupList[0].Users.Add("admin");

            // Create some folders
            Folder DemoFolder1 = new Folder("Demo folder 1", @"%APPROOT%\DemoFolder\Folder1"),
                   Folder2 = new Folder("Folder 2", @"%APPROOT%\DemoFolder\Folder2"),
                   UserFolder = new Folder("user", @"%APPROOT%\Demofolder\%USERNAME%");

            // Add of the additional information for a DemoFolder1
            DemoFolder1.Description = "";
            DemoFolder1.CustomField = "";

            // Create full permissions for some users and groups
            Permission DemoUserPermission = new Permission("demo");
            Permission AdminsPermission = new Permission("admins");
            Permission AdminUserPermission = new Permission("admin");

            // Create special permissions for Folder2 for demo user
            Permission DemoUserPermissionFolder2 = new Permission("demo");
            DemoUserPermissionFolder2.Create = true;
            DemoUserPermissionFolder2.Delete = true;
            DemoUserPermissionFolder2.Rename = true;
            DemoUserPermissionFolder2.Upload = true;
            DemoUserPermissionFolder2.Download = true;
            DemoUserPermissionFolder2.ZipDownload = true;
            DemoUserPermissionFolder2.Zip = true;
            DemoUserPermissionFolder2.Unzip = true;
            DemoUserPermissionFolder2.Cut = true;
            DemoUserPermissionFolder2.Copy = true;
            DemoUserPermissionFolder2.Modify = true;
            DemoUserPermissionFolder2.ListFiles = true;
            DemoUserPermissionFolder2.ListFolders = true;
            FileTypeRestriction Deny_EXE_BAT_ASPX_PHP = new FileTypeRestriction(RestrictionType.Deny, new string[] { "EXE", "BAT", "ASPX", "PHP" });
            DemoUserPermissionFolder2.ListRestriction = Deny_EXE_BAT_ASPX_PHP;
            DemoUserPermissionFolder2.CreateRestriction = Deny_EXE_BAT_ASPX_PHP;
            DemoUserPermissionFolder2.customField = "";

            //// Assign permissions to the folders:
            // DemoFolder1
            DemoFolder1.UserPermissions.Add(DemoUserPermission);
            DemoFolder1.GroupPermissions.Add(AdminsPermission);
            // Folder2
            Folder2.UserPermissions.Add(DemoUserPermissionFolder2);
            Folder2.GroupPermissions.Add(AdminsPermission);
            // UserFolder
            UserFolder.UserPermissions.Add(AdminUserPermission);

            // Add created folders to the list
            List<Folder> folderList = new List<Folder>();
            folderList.Add(DemoFolder1);
            folderList.Add(Folder2);
            folderList.Add(UserFolder);
            
            // Set SimpleAccountManager and SimpleFolderManager as work classes
            Utils.ConcreteSimpleAccountManager = new SimpleAccountManager(userList, groupList);
            Utils.ConcreteSimpleFolderManager = new SimpleFolderManager(folderList);
            */
                   


     /* For Windows authentication version only. Start */
            /*
            // Create some folders
            Folder DemoFolder1 = new Folder("Demo folder 1", @"%APPROOT%\DemoFolder\Folder1"),
                   Folder2 = new Folder("Folder 2", @"%APPROOT%\DemoFolder\Folder2"),
                   HomeDrive = new Folder("Home drive", "%HOME%"),
                   AdminTestFolder = new Folder("Admin test folder", @"%APPROOT%\DemoFolder\%USERNAME%"),
                   DomainUsersDemoFolder = new Folder("Domain users demo folder", @"%APPROOT%\DemoFolder\%GROUPNAME%");

            // Add of the additional information for a DemoFolder1
            DemoFolder1.Description = "";
            DemoFolder1.CustomField = "";
            
            // Create full permissions for some users and groups
            Permission AdministratorUserPermission = new Permission("Administrator");
            Permission AdministratorsPermission = new Permission("Administrators");
            Permission DomainUsersPermission = new Permission("Domain Users");
            Permission DomainAdminsPermission = new Permission("Domain Admins");
            Permission UsersPermissions = new Permission("Users");
            
            //// Create special permissions for Folder2:
            // for DomainUsers
            Permission DomainUsersPermissionFolder2 = new Permission("Domain Users");
            DomainUsersPermissionFolder2.Create = true;
            DomainUsersPermissionFolder2.Delete = true;
            DomainUsersPermissionFolder2.Rename = true;
            DomainUsersPermissionFolder2.Upload = true;
            DomainUsersPermissionFolder2.Download = true;
            DomainUsersPermissionFolder2.ZipDownload = true;
            DomainUsersPermissionFolder2.Zip = true;
            DomainUsersPermissionFolder2.Unzip = true;
            DomainUsersPermissionFolder2.Cut = true;
            DomainUsersPermissionFolder2.Copy = true;
            DomainUsersPermissionFolder2.Modify = true;
            DomainUsersPermissionFolder2.ListFiles = true;
            DomainUsersPermissionFolder2.ListFolders = true;
            FileTypeRestriction Deny_EXE_BAT_ASPX = new FileTypeRestriction(RestrictionType.Deny, new string[] { "EXE", "BAT", "ASPX" });
            DomainUsersPermissionFolder2.ListRestriction = Deny_EXE_BAT_ASPX;
            DomainUsersPermissionFolder2.CreateRestriction = Deny_EXE_BAT_ASPX;
            DomainUsersPermissionFolder2.customField = "";
            // for Users
            Permission UsersPermissionFolder2 = new Permission("Users");
            UsersPermissionFolder2.ListRestriction = UsersPermissionFolder2.CreateRestriction = Deny_EXE_BAT_ASPX;

            //// Assign permissions to the folders:
            // DemoFolder1
            DemoFolder1.UserPermissions.Add(AdministratorUserPermission);
            DemoFolder1.GroupPermissions.Add(DomainUsersPermission);
            DemoFolder1.GroupPermissions.Add(DomainAdminsPermission);
            DemoFolder1.GroupPermissions.Add(UsersPermissions);
            DemoFolder1.GroupPermissions.Add(AdministratorsPermission);
            // Folder2
            Folder2.UserPermissions.Add(AdministratorUserPermission);
            Folder2.GroupPermissions.Add(DomainUsersPermissionFolder2);
            Folder2.GroupPermissions.Add(DomainAdminsPermission);
            Folder2.GroupPermissions.Add(UsersPermissionFolder2);
            Folder2.GroupPermissions.Add(AdministratorsPermission);
            // HomeDrive
            HomeDrive.UserPermissions.Add(AdministratorUserPermission);
            HomeDrive.GroupPermissions.Add(DomainUsersPermission);
            // AdminTestFolder
            AdminTestFolder.UserPermissions.Add(AdministratorUserPermission);
            // DomainUsersDemoFolder
            DomainUsersDemoFolder.GroupPermissions.Add(DomainUsersPermission);

            // Add created folders to the list
            List<Folder> folderList = new List<Folder>();
            folderList.Add(DemoFolder1);
            folderList.Add(Folder2);
            folderList.Add(HomeDrive);
            folderList.Add(AdminTestFolder);
            folderList.Add(DomainUsersDemoFolder);

            // Set SimpleAccountManager and SimpleFolderManager as work classes
            Utils.ConcreteSimpleAccountManager = new SimpleAccountManager();
            Utils.ConcreteSimpleFolderManager = new SimpleFolderManager(folderList);
            */
    }

    protected void Session_Start(object sender, EventArgs e)
    {
        /* Store something is the session state store.
           If the store is empty, we get Session_Start event on each request.*/
        this.Session["keep-session"] = true;               
    }

    
    protected void Application_BeginRequest(object sender, EventArgs e)
    {
        //---------------------------------------------------------
        // Restoring ASP.NET authentication and session cookies.
        // It is necessary only for correct work of Flash uploader.
        //---------------------------------------------------------

        if (HttpContext.Current.Request.RawUrl.IndexOf("FlashUpload.ashx", StringComparison.OrdinalIgnoreCase) != -1)
        {
            Utils.CheckFlashCookie();
            return;
        }


        //--------------------------------------------------------------------------------------------
        // Detection whether current request size exceeds admissible request size for the application. 
        // It is necessary only for correct handle of this situation in the standard uploader.
        //--------------------------------------------------------------------------------------------

        if (HttpContext.Current.Request.RawUrl.IndexOf("Upload.ashx", StringComparison.OrdinalIgnoreCase) != -1)
        {
            Utils.CheckRequestSize(); 
        }       
    }

    //-----------------------------------------------------------------------------
    // Removal of HttpOnly attribute of ASP.NET authentication and session cookies. 
    // It is necessary only for correct work of Flash and Java uploaders.
    //-----------------------------------------------------------------------------

    protected void Application_EndRequest(Object sender, EventArgs e)
    {
        if (Response.Cookies.Count > 0)
        {
            foreach (string s in Response.Cookies.AllKeys)
            {
                if (s == "ASP.NET_SessionId")
                {
                    Response.Cookies["ASP.NET_SessionId"].HttpOnly = false;
                }
                if (s == ".ASPXAUTH")
                {
                    Response.Cookies[".ASPXAUTH"].HttpOnly = false;
                }
            }
 	        //p3p header for Internet Explorer + iframe view mode support
            try //try catch becouse in some cases headers already sent
            {
                HttpContext.Current.Response.AddHeader("p3p", "CP=\"IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT\"");
            }
            catch (Exception ex)
            { }
        }
    }

    protected void Application_AuthenticateRequest(object sender, EventArgs e)
    {
        Utils.ImpersonateWindowsUser(HttpContext.Current);          
    }

    protected void Application_PreRequestHandlerExecute(object sender, EventArgs e)
    {
        Utils.ImpersonateWindowsUser(HttpContext.Current, true);
    }
    
    protected void Application_AuthorizeRequest(object sender, EventArgs e)
    {
   
    }    
    
    protected void Application_Error(object sender, EventArgs e)
    {
        //----------------------------------------------------------
        // Logging of all unhandled for any reason aplication errors
        //----------------------------------------------------------
        
        Utils.LogError(Server.GetLastError());
        // Server.ClearError();
        try
        {
            if (Server.GetLastError() == null)
                return;
            Exception objErr = Server.GetLastError();
            bool isKnownError = false;
            string solutionLink = "";
            if (objErr.GetType() == typeof(System.Security.SecurityException))
            {
                isKnownError = true;
                solutionLink = solutionLink = Utils.AppRootUrl + "Manual/faq.html#unblock";
            }

            string err = "<h1 style='font-family:\"Verdana\";font-weight:normal;font-size:18pt;color:red'>Error occured in application<hr width=100% size=1 color=silver></h1> " +
             "<br/><h2 style='font-family:\"Verdana\";font-weight:normal;font-size:14pt;color:maroon;font-style:italic;' >" + objErr.GetType().ToString() + ": " + objErr.Message.ToString() + "<br/>" + (isKnownError ? ("<b>This problem is known! See resolving: </b><a href='" + solutionLink + "'>" + solutionLink + "</a>") : "Contact with Element-IT for resolving.") + "</h2>";
            err += "<b>Error in: </b>" + Request.Url.ToString();
            err += "<br/><b>Source Message: </b>" + objErr.Source.ToString();
            err += "<br/><b>Stack Trace: </b>" + objErr.StackTrace.ToString();
            err += "<h2 style='font-family:\"Verdana\";font-weight:normal;font-size:14pt;color:maroon;font-style:italic;'>Click here to get immediate help and send this error to Element-IT support team <a href=\"mailto:support@element-it.com?subject=" + objErr.GetType().ToString() + "&body=Put whole error description with Stack Trace here!\">via email</a>.</h2>";
            err += "Element-IT is software developing company. If you are not Administrator of this site then contact with administrator first!";
            err += "<br/><i>To disable this custom error handler modify <b>enableCustomErrorHandler</b> parameter at web.config file.</i>";
            if (isKnownError)
            {
                Response.StatusCode = 500;
                Response.Write(err);
                Server.ClearError();
            }
        }
        catch (Exception ex)
        { }     
        
    }


    protected void Session_End(object sender, EventArgs e)
    {
        try
        {
            HttpCommander.EmailNotif.Main.SendEmails(this.Session);
            HttpCommander.Log.OnLogout(this.Session);
        }
        catch (Exception ex) { Utils.LogError(ex); }
        try
        {
            HttpCommander.GlobalCache.Instance.OnSessionEnd(this.Session);
        }
        catch (Exception ex) { Utils.LogError(ex); }
    }

    protected void Application_End(object sender, EventArgs e)
    {
      
    }
    
</script>
